# ACH return object

The ACH return object represents the current state of a single ACH return originated by or received by Column. The ACH return object will contain all relevant information about the specific return, which are described in the parameters below. Read more about [ACH returns here](/ach/returns).

### Object Parameters

- `ach_transfer_id` `string` — The id of the ACH transfer that is being returned
- `created_at` `date-time` — The timestamp at which the return was created
- `details` `array of objects` — Includes an object containing detailed information about the return
  - `addenda` `string` — Optional information provided about the ACH return
  - `created_at` `date-time` — The timestamp at which the ACH return is created
  - `description` `string` — Description of the ACH return
  - `return_code` `string` — Reason for the ACH return
  - `status` `string` — Status of the ACH return
  - `updated_at` `date-time` — The timestamp at which the ACH return is updated
- `is_incoming` `boolean` — Indicates if the return was initiated by an RDFI ( `true` ) or by Column ( `false` ).
- `status` `string` — The current state of the ACH return. The possible states are `INITIATED`, `SENT`, `DISHONORED`, `CONTESTED`, `COMPLETED`, and `REJECTED`
- `updated_at` `date-time` — The timestamp at which the return was updated (typically a status update)

**Response 200**

```json
{
  "ach_transfer_id": "acht_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "created_at": "2024-01-15T09:30:00Z",
  "details": [
    {
      "addenda": "Payment for invoice #1234",
      "created_at": "2024-01-15T09:30:00Z",
      "description": "Example description",
      "return_code": "R01",
      "status": "pending",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "is_incoming": false,
  "status": "pending",
  "updated_at": "2024-01-15T09:30:00Z"
}
```
